# Class CASecurityException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.cardant.error_codes.CAException
com.io7m.cardant.security.CASecurityException

All Implemented Interfaces:
  `com.io7m.seltzer.api.SStructuredErrorExceptionType<CAErrorCode>, com.io7m.seltzer.api.SStructuredErrorType<CAErrorCode>, Serializable`

public final class CASecurityException extends CAException
The type of exceptions raised during security policy evaluations.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CASecurityException(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.
  `CASecurityException(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)`
  Construct an exception.

- ## Method Summary

  ### Methods inherited from class CAException

  `attributes, errorCode, exception, remediatingAction`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.io7m.seltzer.api.SStructuredErrorExceptionType

  `getMessage, message`

- ## Constructor Details

  - ### CASecurityException

    public CASecurityException(String message, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any

  - ### CASecurityException

    public CASecurityException(String message, Throwable cause, CAErrorCode inErrorCode, Map<String,String> inAttributes, Optional<String> inRemediatingAction)
    Construct an exception.
    Parameters:
      `message` - The message
      `cause` - The cause
      `inErrorCode` - The error code
      `inAttributes` - The error attributes
      `inRemediatingAction` - The remediating action, if any